<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\Setting;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index(){
        $totalUsers = User::where('role_id', 3)->count();
        $totalBrokers = User::where('role_id', 2)->count();
        return view('admin.dashboard', compact('totalUsers', 'totalBrokers'));
    }

    public function settings()
    {
        $notification = Setting::where('key', 'notification')->first();
        return view('admin.setting', compact('notification'));
    }

    public function updateSettings(Request $request)
    {
        $request->validate([
            'notification' => 'required|string|max:255',
        ]);

        $notification = Setting::updateOrCreate(
            ['key' => 'notification'],
            ['value' => $request->notification]
        );

        return redirect()->back()->with('success', 'Notification updated successfully.');
    }
}
