<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Transaction;
use Yajra\DataTables\DataTables;
use Illuminate\Http\Request;

class TransactionController extends Controller
{
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $data = Transaction::with(['debtorUser', 'creditorUser'])->select('transactions.*');

            return DataTables::of($data)
                ->addColumn('debtor_name', function ($row) {
                    return !is_null($row->debtorUser) ? $row->debtorUser->name : 'N/A';
                })
                ->addColumn('creditor_name', function ($row) {
                    return !is_null($row->creditorUser) ? $row->creditorUser->name : 'N/A';
                })
                ->make(true);
        }
        return view('admin.transactions.index');

    }
}
