<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Wallet;
use App\Models\Transaction;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

class WalletController extends Controller
{
    public function updateWallet(Request $request)
    {
        $userID = $request->input('user_id');
        if($request->input('action') == "add"){
            $CR_ID = $userID;
            $DR_ID = Auth::id();
        }else{
            $CR_ID = Auth::id();
            $DR_ID = $userID;
        }
        $amount = $request->input('amount');

        if($amount == "" || !is_numeric($amount) || $amount <= 0){
            return response()->json(['message' => 'Enter Correct Amount.']);
        }

        $debitUser = User::find($DR_ID);
        if($debitUser->role_id != 1){
            $walletBalance = $debitUser->wallet()->sum('amount');
            if($amount > $walletBalance){
                return response()->json(['message' => 'Insufficient balance for this transaction']);
            }
        }


        // Perform debit and credit operations
        $debitWallet = $this->getOrCreateWallet($DR_ID);
        $creditWallet = $this->getOrCreateWallet($CR_ID);

        // Apply business logic to check for sufficient balance, etc.
        /*
        $debitWallet->amount -= $amount;
        $creditWallet->amount += $amount;
        */

        $debitWallet->amount = bcsub($debitWallet->amount, $amount, 2);
        $creditWallet->amount = bcadd($creditWallet->amount, $amount, 2);

        // Save the wallet updates
        $debitWallet->save();
        $creditWallet->save();

        // Create a transaction record
        Transaction::create([
            'DR_ID' => $DR_ID,
            'CR_ID' => $CR_ID,
            'amount' => $amount,
            'transaction_type' => "wallet",
            'remark' => "Wallet Transaction"
        ]);

        return response()->json(['message' => 'Transaction successful']);
    }
    private function getOrCreateWallet($userId) {
        return Wallet::firstOrCreate(['user_id' => $userId], ['amount' => 0]);
    }
}
