<?php

namespace Database\Factories;

use App\Models\Bidding;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Bidding>
 */
class BiddingFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    protected $model = Bidding::class;

    public function definition(): array
    {
        $biddingData = [
            'user_id' => 58, // Static user_id as per your requirement
            'game_session_id' => 6, // Static game_session_id as per your requirement
            'total_amount' => $this->faker->numberBetween(100, 1000), // Example total amount
        ];

        // Generate dummy data for num_0 to num_99 columns
        for ($i = 0; $i < 100; $i++) {
            $biddingData["num_$i"] = $this->faker->numberBetween(0, 10); // Example values for num columns
        }

        return $biddingData;
    }
}
