const inputs = document.querySelectorAll('[data-number-code-input]');
const previousBidsJson = document.querySelector('meta[name="previous-bids-json"]').getAttribute('content');
const previousBids = JSON.parse(previousBidsJson);
console.log(previousBids);
inputs.forEach(input => {
    input.addEventListener('input', () => {
        // Cache all the entered values first
        const values = [];
        inputs.forEach(innerInput => {
            values.push(Number(innerInput.value));
        });
        
        // Iterate through each input to update its corresponding bidResult
        inputs.forEach((innerInput, index) => {
            const resultDiv = innerInput.closest('.inputContainer').querySelector('.bidResult');

            // Calculate the sum of all values except the current one
            const sumOfOtherValues = values.reduce((acc, currVal, currIndex) => {
                if (index !== currIndex) {
                    return acc + currVal;
                }
                return acc;
            }, 0);

            console.log('Sum of other values:', sumOfOtherValues);

            const selectElement = document.getElementById('game_session');
            const selectedOption = selectElement.options[selectElement.selectedIndex];
            if (!selectedOption) {
                return null;
            }

            const sessionId = selectedOption.value;
            
            let previousBidAmount = 0;

            if (previousBids.hasOwnProperty(sessionId)) {
                const bids = previousBids[sessionId];

                // Validate that bids is an array and contains valid bid objects
                if (Array.isArray(bids)) {
                    previousBidAmount = bids.reduce((acc, bid) => {
                        const amount = Number(bid);
                        if (!isNaN(amount)) {
                            return acc + amount;
                        }
                        return acc;
                    }, 0);
                } else {
                    console.error(`Invalid bids data for session ${sessionId}:`, bids);
                }
            }
            console.log(`Previous bid amount for session ${sessionId}:`, previousBidAmount);
            const sumofTotal = sumOfOtherValues + previousBidAmount;
            console.log(sumofTotal);
            const result = (values[index] * wvalue) - sumOfOtherValues + previousBidAmount;
            resultDiv.textContent = result.toString();

            // Set class based on the value
            if (result >= 0) {
                resultDiv.classList.add('green');
                resultDiv.classList.remove('redBg');
            } else {
                resultDiv.classList.add('redBg');
                resultDiv.classList.remove('green');
            }
        });
    });
});


