<!DOCTYPE html>
    <html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>Document</title>

        <link rel="icon" type="image/png" href="images/fevicon.png">
        <link href="{{ asset('css/bootstrap.min.css') }}" rel="stylesheet">
        <link rel="stylesheet" href="{{ asset('css/owl.carousel.min.css') }}">
        <link rel="stylesheet" href="{{ asset('css/owl.theme.default.min.css') }}">
        <link rel="stylesheet" href="{{ asset('css/font-awesome.min.css') }}">
        <link href="{{ asset('css/style.css') }}" rel="stylesheet">
        <script src="{{ asset('js/bootstrap.bundle.min.js') }}"></script>

    </head>


    <body>
        <!-- Login page -->
        <section class="loginForm">
            <div class="container py-5 h-100">
                <div class="row d-flex align-items-center justify-content-center h-100">
                    <div class="col-xl-5 col-md-7 col-12 loginFormContainer">
                        <div class="loginIcon">
                            <img src="{{ asset('images/login-.gif') }}" class="img-fluid">
                        </div>
                        <h2>Login</h2>
                        <form method="POST" action="{{ route('admin.adminlogin') }}">
                            @csrf
                            <div class="form-outline mb-4">
                                <x-input-label for="email" class="form-label" :value="__('Username/Email')" />
                                <x-text-input id="email" class="form-control form-control-lg" type="text"
                                    name="email" :value="old('email')" required autofocus autocomplete="username" />
                                <x-input-error :messages="$errors->get('email')" class="mt-2" />
                            </div>

                            <!-- Password -->
                            <div class="form-outline mb-4">
                                <x-input-label for="password" class="form-label" :value="__('Password')" />

                                <x-text-input id="password" class="form-control form-control-lg" type="password" name="password"
                                    required autocomplete="current-password" />

                                <x-input-error :messages="$errors->get('password')" class="mt-2" />
                            </div>

                            <div class="flex items-center justify-end mt-4">
                                @if (Route::has('password.request'))
                                    <a class="underline text-sm text-gray-600 dark:text-gray-400 hover:text-gray-900 dark:hover:text-gray-100 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 dark:focus:ring-offset-gray-800"
                                        href="{{ route('password.request') }}">
                                        {{ __('Forgot your password?') }}
                                    </a>
                                @endif

                                <x-primary-button class="btn btn-primary btn-lg btn-block">
                                    {{ __('Log in') }}
                                </x-primary-button>
                            </div>


                        </form>
                    </div>
                </div>
            </div>
        </section>
        <!-- Login page CSS -->

    </body>

</html>
