@extends('admin.layouts')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Edit Game</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active">Edit Game</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                <div class="row">
                    <div class="col-12">
                        <!-- Assuming $game is passed to this view with the existing game data -->
                        <form method="POST" action="{{ route('games.update', $game->id) }}">
                            @csrf
                            @method('PUT') <!-- This is required for the update operation -->

                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="game_name">Game Name</label>
                                                <input type="text" class="form-control" name="game_name"
                                                    value="{{ $game->game_name }}" placeholder="Enter Game Name" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="game_type">Game Type</label>
                                                <select name="game_type" id="game_type" class="form-control">
                                                    <option value="1" {{ $game->game_type == 1 ? 'selected' : '' }}>
                                                        Single</option>
                                                    <option value="2" {{ $game->game_type == 2 ? 'selected' : '' }}>
                                                        Jodi</option>
                                                </select>
                                            </div>
                                        </div>


                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="number_range">Minimum Bet</label>
                                                <input type="text" class="form-control" name="minimum_bet"
                                                    value="{{ $game->minimum_bet }}" placeholder="e.g., 1-100" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="number_range">Maximum Bet</label>
                                                <input type="text" class="form-control" name="maximum_bet"
                                                    value="{{ $game->maximum_bet }}" placeholder="e.g., 1-100" required>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Update Game</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection
