@extends('admin.layouts')

@section('content')
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-12">
                    <h1>Broker Details</h1>
                </div>

            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row mb-none-30">
                <div class="col-xl-3 col-lg-5 col-md-5 mb-30">
                    <div class="card b-radius-10 overflow-hidden box--shadow1">
                        <div class="card-body p-0">
                            <div class="p-3 bg-white">
                                <div class="mt-15">
                                    <h4 class="">{{ $user->name }}</h4>
                                    <span class="text-small">Joined At <strong>11 Nov, 2023 09:37 PM</strong></span>
                                </div>
                            </div>
                            <div class="p-3">
                                <ul class="list-group">

                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                        Username <span class="font-weight-bold">{{ $user->username }}</span>
                                    </li>


                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                        Status <span
                                            class="badge badge-pill bg--success">{{ $user->status }}Active</span>
                                    </li>

                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                        Balance <span class="font-weight-bold">0.00 USD</span>
                                    </li>
                                </ul>
                            </div>
                            <div class="p-3">
                                <a data-toggle="modal" href="#addSubModal"
                                    class="btn btn-success btn-shadow btn-block btn-lg">
                                    Add/Subtract Balance </a>
                                <a data-toggle="modal" href="#addSubModal"
                                    class="btn btn-danger btn-shadow btn-block btn-lg">
                                    Block User</a>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="col-xl-9 col-lg-7 col-md-7 mb-30">
                    <div class="row">
                        <div class="col-lg-3 col-6">
                            <!-- small box -->
                            <div class="small-box bg-info">
                                <div class="inner">
                                    <h3><i class="fas fa-rupee-sign"></i>1500</h3>

                                    <p>Deposits</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-credit-card"></i>
                                </div>
                                <a href="#" class="small-box-footer">More info <i
                                        class="fas fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <!-- ./col -->
                        <div class="col-lg-3 col-6">
                            <!-- small box -->
                            <div class="small-box bg-success">
                                <div class="inner">
                                    <h3><i class="fas fa-rupee-sign"></i>1000</h3>

                                    <p>Withdraw</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-wallet"></i>
                                </div>
                                <a href="#" class="small-box-footer">More info <i
                                        class="fas fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <!-- ./col -->
                        <div class="col-lg-3 col-6">
                            <!-- small box -->
                            <div class="small-box bg-warning">
                                <div class="inner">
                                    <h3><i class="fas fa-rupee-sign"></i>44</h3>

                                    <p>Transactions</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-arrows-alt"></i>
                                </div>
                                <a href="{{ route('admin.users.index') }}" class="small-box-footer">More info <i
                                        class="fas fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <!-- ./col -->
                        <div class="col-lg-3 col-6">
                            <!-- small box -->
                            <div class="small-box bg-danger">
                                <div class="inner">
                                    <h3>65</h3>
                                    <p>Win Amount</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-trophy"></i>
                                </div>
                                <a href="#" class="small-box-footer">More info <i
                                        class="fas fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <!-- ./col -->
                    </div>

                    <div class="card mt-50">
                        <div class="card-header">
                            <h5 class="card-title ">Information of {{ $user->name }}</h5>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    @if(Session::has('success'))
                                        <div class="alert alert-success">
                                            {{Session::get('success')}}
                                        </div>
                                    @endif
                                </div>
                            </div>
                            <form action="{{ route('admin.brokers.edit', $user->id) }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="row">

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="name">Name</label>
                                            <input type="text" class="form-control" name="name"
                                                value="{{ $user->name }}" placeholder="Enter Full Name" required>
                                            @error('name')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="email">Email</label>
                                            <input type="email" class="form-control" name="email"
                                                value="{{ $user->email }}" placeholder="Enter Email" required>
                                            @error('email')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="commission">Commission</label>
                                            <input type="number" min="0" max="100" class="form-control" name="commission" value="{{ $user->commission }}" placeholder="Commission" required>
                                            @error('commission')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="singleamount">Single Amount</label>
                                            <input type="number" min="0" max="100" class="form-control" name="singleamount" value="{{ $user->singleamount }}" placeholder="Single Amount" required>
                                            @error('singleamount')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="jodiamount">Jodi Amount</label>
                                            <input type="number" min="0" max="1000" class="form-control" name="jodiamount" value="{{ $user->jodiamount }}" placeholder="Jodi Amount" required>
                                            @error('jodiamount')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="status">Status</label>
                                            <select class="form-control status" name="status">
                                                <option value="0" {{ ($user->status==0) ? 'selected' : '' }}>Pending</option>
                                                <option value="1" {{ ($user->status==1) ? 'selected' : '' }}>Approve</option>
                                                <option value="2" {{ ($user->status==2) ? 'selected' : '' }}>Reject</option>
                                            </select>
                                            @error('status')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>

                                </div>



                                <div class="row mt-4">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary btn-block btn-lg">Save
                                                Changes </button>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->



<div id="addSubModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add / Subtract Balance</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="walletForm">
                <input type="hidden" name="_token" value="{{ csrf_token() }}">
                <input type="hidden" name="_user_id" value="{{ $user->id }}">
                <div class="modal-body">
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            <label>Amount<span class="text-danger">*</span></label>
                            <div class="input-group has_append">
                                <input type="text" name="amount" class="form-control"
                                    placeholder="Please provide positive amount">
                                <div class="input-group-append">
                                    <div class="input-group-text"><i class="fas fa-rupee-sign"></i></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-dismiss="modal">Close</button>
                    <button type="button" id="addBalance" class="btn btn-success">Add</button>
                    <button type="button" id="subtractBalance" class="btn btn-danger">Subtract</button>
                </div>
            </form>

        </div>
    </div>
</div>



@endsection

@push('scripts')
<script>
    $(document).ready(function() {
        function updateBalance(actionType, amount) {
            $.ajax({
                url: '{{ route('admin.wallets.update-wallet') }}', // Update with your route
                type: 'POST',
                data: {
                    _token: $('input[name="_token"]').val(),
                    action: actionType,
                    user_id: $('input[name="_user_id"]').val(),
                    amount: amount
                },
                success: function(response) {
                    alert(response.message);
                },
                error: function(xhr) {
                    alert("An error occurred: " + xhr.status + " " + xhr.statusText);
                }
            });
        }

        $('#addBalance').click(function() {
            var amount = $('input[name="amount"]').val();
            updateBalance('add', amount);
        });

        $('#subtractBalance').click(function() {
            var amount = $('input[name="amount"]').val();
            updateBalance('subtract', amount);
        });
    });
</script>
@endpush
