@extends('admin.layouts')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col d-flex justify-content-between align-items-center">
                        <h1>Game Sessions</h1>
                        <a href="{{ route('game-sessions.create') }}" class="btn btn-primary">Add New Game Session</a>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
            @if (session('error'))
                <div class="alert alert-danger">
                    {{ session('error') }}
                </div>
            @endif

        </section>


        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <table id="gameSessionsTable" class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Game</th>
                                            <th>Start Time</th>
                                            <th>End Time</th>
                                            <th>Minimum Bet</th>
                                            <th>Maximum Bet</th>
                                            <th>Winning Number</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                </table>
                            </div>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->
            </div>
            <!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

@push('scripts')
    <script src="//cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#gameSessionsTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('game-sessions.index') }}",
                columns: [{
                        data: 'id',
                        name: 'id'
                    },
                    {
                        data: 'game.game_name',
                        name: 'game.game_name'
                    },
                    {
                        data: 'start_time',
                        name: 'start_time'
                    },
                    {
                        data: 'end_time',
                        name: 'end_time'
                    },
                    {
                        data: 'minimum_bet',
                        name: 'minimum_bet'
                    },
                    {
                        data: 'maximum_bet',
                        name: 'maximum_bet'
                    },
                    {
                        data: 'winning_number',
                        name: 'winning_number'
                    },
                    {
                        data: 'action',
                        name: 'action',
                        orderable: false,
                        searchable: false
                    },
                ]
            });
        });
    </script>
@endpush
