@extends('layouts.main')

@section('content')
    <section class="container">
        <div class="row">
            @include('layouts.brokersidebar')

            <div class="col-xl-9 col-md-9 col-12 rightbar mt-5 gametimeContainer">

                <div class="d-flex justify-content-end mb-3">
                    <a href="{{ route('broker.customercreate') }}" class="btn btn-primary">Add New</a>
                </div>

                <table class="table" id="customerDataTable">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Date Registered</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                </table>



            </div>
        </div>
    </section>
@endsection
@push('scripts')
<script>
$(document).ready(function() {

    $('#customerDataTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('broker.showCustomers') }}", // Adjust the route
        columns: [
            { data: 'id', name: 'id' },
            { data: 'name', name: 'name' },
            { data: 'email', name: 'email' },
            { data: 'created_at', name: 'created_at' },
            { data: 'action', name: 'action', orderable: false, searchable: false },
        ],
        order: [[3, 'desc']] // Order by the 'Date' column by default
    });
});
</script>
@endpush
