@extends('layouts.main')

@section('content')
    <section class="container">
        @if (session('error'))
            <div class="alert alert-danger">
                {{ session('error') }}
            </div>
        @endif
        <div class="row">
            @include('layouts.brokersidebar')
            <div class="col-xl-9 col-md-9 col-12 rightbar mt-5">
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-success text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Deposits</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $totalDeposits }}</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-money fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.deposit-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-dark text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Withdraw</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $totalWithdraws }}</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-won fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.withdraw-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-info text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Commission Earned</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $commissionEarned }}</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-gavel fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.bidding-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-info text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Pending Commission</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $pendingCommision }}</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-gavel fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.bidding-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-danger text-white ">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Wallet</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $walletBalance }}</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-google-wallet fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.wallet') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
