@extends('layouts.main')

@section('content')
    <section class="container">

        <div class="row">
            @include('layouts.brokersidebar')
            <div class="col-xl-9 col-md-9 col-12 rightbar mt-5">



                <div class="row mb-none-30" style="margin-bottom:30px;">

                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-success text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Deposits</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>{{ $totalDeposits }}
                                        </h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-money fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.deposit-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-dark text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Withdraw</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>0</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-won fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.withdraw-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-warning text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Transactions</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>0</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-arrows fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.bidding-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-12">
                        <div class="card bg-danger text-white">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-9">
                                        <h5 class="card-title">Win Amount</h5>
                                        <h3 class="card-text"><i class="fa fa-rupee"></i>0</h3>
                                    </div>
                                    <div class="col-3 text-right">
                                        <i class="fa fa-trophy fa-2x"></i>
                                    </div>
                                </div>
                            </div>
                            <a href="{{ route('customer.bidding-history') }}"
                                class="card-footer bg-transparent border-top text-white small-box-footer text-center">
                                More info <i class="fa fa-arrow-circle-right"></i>
                            </a>
                        </div>
                    </div>
                </div>

                <div class="row mb-none-30">


                    <div class="col-xl-3 col-lg-5 col-md-5 mb-30">
                        <div class="card b-radius-10 overflow-hidden box--shadow1">
                            <div class="card-body p-0">
                                <div class="p-3 bg-white">
                                    <div class="mt-15">
                                        <h4 class="">{{ $user->name }}</h4>
                                        <span class="text-small">Joined At <strong>11 Nov, 2023 09:37
                                                PM</strong></span>
                                    </div>
                                </div>
                                <div class="p-3">
                                    <ul class="list-group">

                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                            Username <span class="font-weight-bold">{{ $user->username }}</span>
                                        </li>


                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                            Status <span
                                                class="badge badge-pill bg--success">{{ $user->status }}Active</span>
                                        </li>

                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                            Balance <span
                                                class="font-weight-bold">{{ optional($user->wallet)->amount ?? '0' }}
                                            </span>
                                        </li>
                                    </ul>
                                </div>

                            </div>
                        </div>

                    </div>
                    <div class="col-xl-9 col-lg-7 col-md-7 mb-30">


                        <div class="card mt-50">
                            <div class="card-header">
                                <h5 class="card-title ">Information of {{ $user->name }}</h5>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        @if (Session::has('success'))
                                            <div class="alert alert-success">
                                                {{ Session::get('success') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <form action="{{ route('broker.editcustomer', $user->id) }}" method="POST"
                                    enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="name">Name</label>
                                                <input type="text" class="form-control" name="name"
                                                    value="{{ $user->name }}" placeholder="Enter Full Name" required>
                                                @error('name')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="email">Email</label>
                                                <input type="email" class="form-control" name="email"
                                                    value="{{ $user->email }}" placeholder="Enter Email" required>
                                                @error('email')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label for="status">Status</label>
                                                <select class="form-control status" name="status">
                                                    <option value="0" {{ $user->status == 0 ? 'selected' : '' }}>
                                                        Pending</option>
                                                    <option value="1" {{ $user->status == 1 ? 'selected' : '' }}>
                                                        Approve</option>
                                                    <option value="2" {{ $user->status == 2 ? 'selected' : '' }}>
                                                        Reject</option>
                                                </select>
                                                @error('status')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>



                                    <div class="row mt-4">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <button type="submit" class="btn btn-primary btn-block btn-lg">Save
                                                    Changes </button>
                                            </div>
                                        </div>

                                    </div>
                                </form>
                            </div>
                        </div>


                        <div class="card mt-50" style="margin-top: 30px;">
                            <div class="card-header">
                                <h5 class="card-title ">Add Wallet Balance</h5>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        @if (Session::has('success'))
                                            <div class="alert alert-success">
                                                {{ Session::get('success') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>
                                <form id="walletForm">
                                    <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                    <input type="hidden" name="_user_id" value="{{ $user->id }}">

                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label>Amount<span class="text-danger">*</span></label>
                                            <div class="input-group has_append">
                                                <input type="text" name="amount" class="form-control"
                                                    placeholder="Please provide positive amount">
                                                <div class="input-group-append">
                                                    <div class="input-group-text"><i class="fas fa-rupee-sign"></i></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row mt-4">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <button type="button" id="addBalance" class="btn btn-success">Add</button>
                                                <button type="button" id="subtractBalance" class="btn btn-danger">Subtract</button>
                                            </div>
                                        </div>

                                    </div>
                                </form>

                            </div>
                        </div>


                    </div>

                </div>






            </div>
        </div>
    </section>
@endsection


@push('scripts')
    <script>
        $(document).ready(function() {
            function updateBalance(actionType, amount) {
                $.ajax({
                    url: '{{ route('broker.updatecustomerwallet') }}', // Update with your route
                    type: 'POST',
                    data: {
                        _token: $('input[name="_token"]').val(),
                        action: actionType,
                        user_id: $('input[name="_user_id"]').val(),
                        amount: amount
                    },
                    success: function(response) {
                        alert(response.message);
                    },
                    error: function(xhr) {
                        alert("An error occurred: " + xhr.status + " " + xhr.statusText);
                    }
                });
            }

            $('#addBalance').click(function() {
                var amount = $('input[name="amount"]').val();
                updateBalance('add', amount);
            });

            $('#subtractBalance').click(function() {
                var amount = $('input[name="amount"]').val();
                updateBalance('subtract', amount);
            });
        });
    </script>
@endpush
