@extends('layouts.main')

@section('content')
    <section class="container">
        <div class="row">
            @include('layouts.brokersidebar')

            <div class="col-xl-9 col-md-9 col-12 rightbar mt-5 gametimeContainer">

                <!-- You may not need the 'Add New' button for withdrawal requests, or it might need to be adjusted -->
                <div class="d-flex justify-content-end mb-3">
                    <!-- Adjust or remove this button based on your application's needs -->
                </div>

                <table class="table" id="withdrawalRequestsTable">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Username</th>
                            <th>Amount</th>
                            <th>Status</th>
                            <th>Requested At</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                </table>

            </div>
        </div>
    </section>
@endsection

@push('scripts')
<script>
$(document).ready(function() {
    $('#withdrawalRequestsTable').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('broker.showRequests') }}", // Ensure this is the correct route for fetching withdrawal requests data
        columns: [
            { data: 'id', name: 'id' },
            { data: 'username', name: 'username' },
            { data: 'amount', name: 'amount' },
            { data: 'status', name: 'status' },
            { data: 'created_at', name: 'created_at' },
            { data: 'action', name: 'action', orderable: false, searchable: false, },
        ],
        order: [[4, 'desc']] // Ordering by the 'Requested At' column by default
    });
    $('#withdrawalRequestsTable tbody').on('click', 'button.approve', function() {
        var requestId = $(this).data('id');
        if (confirm("Are you sure to approve this request?")) {
            $.ajax({
                url: "/broker/withdraw-request/approve/" + requestId, // Adjust URL as needed
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                },
                success: function(response) {
                    table.ajax.reload(); // Reload DataTables after the action
                    alert("Request approved successfully.");
                }
            });
        }
    });

    $('#withdrawalRequestsTable tbody').on('click', 'button.reject', function() {
        var requestId = $(this).data('id');
        if (confirm("Are you sure to reject this request?")) {
            $.ajax({
                url: "/broker/withdraw-request/reject/" + requestId, // Adjust URL as needed
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                },
                success: function(response) {
                    table.ajax.reload();
                    alert("Request rejected successfully.");
                }
            });
        }
    });
});
</script>
@endpush
