<style>
    .notification {
      background-color: #030824;
      padding: 15px 0;
      color: white;
      overflow: hidden;
      position: relative;
    }
    .notification p {
      display: inline-block;
      white-space: nowrap;
      animation: scroll-left 10s linear infinite;
    }
    @keyframes scroll-left {
      0% {
        transform: translateX(100%);
      }
      100% {
        transform: translateX(-100%);
      }
    }
  </style>
  <!-- Notification -->
  
  <?php if(!empty($settings['notification'])): ?>
  <div class="notification container-fluid">
    <div class="container">
        <div class="row">
            <div class="col-xl-12 col-md-12 col-12 copyTxt">
                <p><?php echo e($settings['notification']); ?></p>
            </div>
        </div>
    </div>
  </div>
  <?php endif; ?>

  <!-- Notification -->
<!-- Navbar -->
<nav class="navbar navbar-expand-sm navbar-dark mainMenu sticky-top">
    <div class="container">
      <a class="navbar-brand me-2" href="<?php echo e(route('/')); ?>">
        <img src="<?php echo e(asset('images/logo.png')); ?>" height="40" width="40" alt="" style="margin-top: -1px;">
      </a>
      <div class="d-flex align-items-center order-sm-last">

        <?php if(auth()->guard()->guest()): ?>
        <a href="<?php echo e(route('login')); ?>" class="btn btn-primary loginBtn">
          <i class="fa fa-user-o" aria-hidden="true"></i> Login
        </a>
        <?php else: ?>
        <?php if(Auth::user()->role->name == 'admin'): ?>
        <a href="<?php echo e(route('admin.dashboard')); ?>" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        <?php elseif(Auth::user()->role->name == 'broker'): ?>
        <a href="<?php echo e(route('broker.dashboard')); ?>" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        <?php else: ?> 
        <a href="<?php echo e(route('customer.dashboard')); ?>" class="btn btn-primary loginBtn"><i class="fa fa-dashboard" aria-hidden="true"></i> Dashboard</a>
        <a href="<?php echo e(route('customer.wallet')); ?>" class="btn btn-primary loginBtn"><i class="fa fa fa-rupee" aria-hidden="true"></i> <?php echo e(Auth::user()->wallet->amount); ?></a>
       
        <?php endif; ?>
        <?php endif; ?>

        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
          <span class="navbar-toggler-icon"></span>
        </button>
      </div>
      <div class="collapse navbar-collapse" id="mynavbar">
        <ul class="navbar-nav me-auto">
          <li class="nav-item <?php echo e(request()->is('/') ? 'active' : ''); ?>">
            <a class="nav-link" href="<?php echo e(route('/')); ?>">Home</a>
          </li>
          <li class="nav-item <?php echo e(request()->is('bets.single') ? 'active' : ''); ?>">
            <a class="nav-link" href="<?php echo e(route('bets.single')); ?>">Single</a>
          </li>
          <li class="nav-item <?php echo e(request()->is('bets.jodi') ? 'active' : ''); ?>">
            <a class="nav-link" href="<?php echo e(route('bets.jodi')); ?>">Jodi</a>
          </li>
          <li class="nav-item <?php echo e(request()->is('games') ? 'active' : ''); ?>">
            <a class="nav-link" href="<?php echo e(route('all-games')); ?>">All Games</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
<!-- Navbar -->
<?php /**PATH /var/www/html/resources/views/layouts/nav.blade.php ENDPATH**/ ?>