<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col d-flex justify-content-between align-items-center">
                    <h1>Games</h1>
                    <a href="<?php echo e(route('games.create')); ?>" class="btn btn-primary">Add New Game</a>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <table id="gamesTable" class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Game Name</th>
                                        <th>Game Type</th>
                                        <th>Minimum Bet</th>
                                        <th>Maximum Bet</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script src="//cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(function() {
            $('#gamesTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "<?php echo e(route('games.index')); ?>",
                columns: [
                    {data: 'id', name: 'id'},
                    {data: 'game_name', name: 'game_name'},
                    {data: 'game_type', name: 'game_type'},
                    {data: 'minimum_bet', name: 'minimum_bet'},
                    {data: 'maximum_bet', name: 'maximum_bet'},
                    {data: 'action', name: 'action', orderable: false, searchable: false},
                ]
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/resources/views/admin/games/index.blade.php ENDPATH**/ ?>